## xkeyboard-config 2.42

=== meson_options.txt ===
option('xkb-base',
       type: 'string',
       value: '',
       description: 'XKB base path [default=$datadir/X11/xkb]')
option('compat-rules',
       type: 'boolean',
       value: true,
       description: 'create compatibility rules [default=true]')
option('xorg-rules-symlinks',
       type: 'boolean',
       value: false,
       description: 'create "xorg" symlinks to the "base" rules files [default=false]')
option('nls',
       type: 'boolean',
       value: true,
       description: 'build with native language support (NLS) [default=true]')

## xkeyboard-config 1.5-2maemo10+0m5

=== debian/changelog ===
xkeyboard-config (1.5-2maemo10+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Sat, 15 Aug 2009 13:32:47 +0300

xkeyboard-config (1.5-2maemo10) unstable; urgency=low

  * Compile a default keymap to use when there is no disk space.

 -- Rami Ylimaki <ext-rami.ylimaki@nokia.com>  Mon, 10 Aug 2009 14:55:14 +0300

xkeyboard-config (1.5-2maemo9) unstable; urgency=low

  * Fixes: NB#126300 - Czech hardware keyboard should have = in Fn level at the same position of Y

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Tue, 14 Jul 2009 09:08:12 +0300

xkeyboard-config (1.5-2maemo8) unstable; urgency=low

  * Fixes: NB#113576 - XKB: Not possible to set up more than one layout at the same time

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Wed, 08 Jul 2009 15:43:13 +0300

xkeyboard-config (1.5-2maemo7) unstable; urgency=low

  * Added script to remove cached xkm files when the package is upgraded.

 -- Rami Ylimaki <ext-rami.ylimaki@nokia.com>  Thu, 25 Jun 2009 12:06:29 +0300

xkeyboard-config (1.5-2maemo6) unstable; urgency=low

  * Disabled already applied patch. Missing "Fixes" tags for BIFH.
  * Fixes: NB#118352 - Fix warnings produced by xkbcomp
  * Fixes: NB#116300 - Upgrade from 0.8 to 1.5

 -- Rami Ylimaki <ext-rami.ylimaki@nokia.com>  Mon, 22 Jun 2009 17:11:06 +0300

xkeyboard-config (1.5-2maemo5) unstable; urgency=low

  * Minimization of package size by Tomas Hanak.

 -- Rami Ylimaki <ext-rami.ylimaki@nokia.com>  Mon, 22 Jun 2009 16:49:14 +0300

xkeyboard-config (1.5-2maemo4) unstable; urgency=low

  * Reduction of package size by Tomas Hanak.

 -- Rami Ylimaki <ext-rami.ylimaki@nokia.com>  Mon,  8 Jun 2009 17:46:24 +0300

xkeyboard-config (1.5-2maemo3) unstable; urgency=low

  * Mapping fixes from Tomas Hanak.
    Fixes: NB#113576 - Allow multiple layout configuration for keyboard
    Fixes: NB#118352 - Fix warnings produced by xkbcomp

 -- Rami Ylimaki <ext-rami.ylimaki@nokia.com>  Wed, 27 May 2009 12:15:08 +0300

xkeyboard-config (1.5-2maemo2) unstable; urgency=low

  * Switch from base to evdev rules.

 -- Rami Ylimaki <ext-rami.ylimaki@nokia.com>  Tue, 26 May 2009 15:08:45 +0300

xkeyboard-config (1.5-2maemo1) unstable; urgency=low

  * Synchronization with upstream. Replacement of the old xkbdata package.
  * Fixes: NB#116300 - added support for Nokia keyboards to upstream version

 -- Rami Ylimaki <ext-rami.ylimaki@nokia.com>  Fri, 15 May 2009 10:38:27 +0300

xkeyboard-config (1.5-2) unstable; urgency=low

  * Cherry-picked from upstream git:
    + added ca(eng), b.fd.o#19707
    + fixed meta for fi(smi), b.fd.o#19841
    Requested by Samuel Thibault.

 -- Julien Cristau <jcristau@debian.org>  Sun, 01 Feb 2009 16:46:55 +0100

xkeyboard-config (1.5-1) unstable; urgency=low

  * New upstream release.
    + bepo layout updated (closes: #469826)
    + some symbols added to Gurmukhi keymap (closes: #443647)
    + new 'deadtilde' variant for es and latam layouts (closes: #444035)
    + problem with cymotion model and XF86WWW keysym fixed (closes: #462816)
    + 'sun' rules files removed (closes: #469306)
    + the us layout doesn't override CAPS anymore (closes: #504022)
    + model 'logimel', Logitech Media Keyboard Elite, added (closes: #384801)
  * Patch sclk_toggle.diff updated.
  * Patch unhide_lv3_enter_switch.diff refreshed.
  * Patch send-upstream/001_keypad_comma.diff dropped; the kpdl:comma option
    exists since 1.1, and keypad:comma was broken since then.
  * Patches add_void_definition_pl-324647.diff and mac_poweroff.diff dropped,
    applied upstream.
  * Add myself to Uploaders.
  * Update debian/copyright from upstream COPYING.

 -- Julien Cristau <jcristau@debian.org>  Wed, 28 Jan 2009 06:40:24 +0100

xkeyboard-config (1.4-1) unstable; urgency=low

  * New upstream release.
  * Clean up generated files on clean, and recreate them at build time, in an
    attempt to make the build system cleaner.  Also reorganize debian/rules in
    the process, using the standard xsfbs ruleset.
  * Update patch send-upstream/001_keypad_comma.diff.
  * Delete patch fixed-compat-rules-for-Romania-b.fd.o-16872.patch, applied
    upstream.

 -- Julien Cristau <jcristau@debian.org>  Wed, 12 Nov 2008 19:45:45 +0100

xkeyboard-config (1.3-2) unstable; urgency=high

  * Fix compat rules for Romanian layout (closes: #485702).
  * Remove some generated files from the source package to clean up the build.

 -- Julien Cristau <jcristau@debian.org>  Thu, 14 Aug 2008 19:51:55 +0200

xkeyboard-config (1.3-1) unstable; urgency=low

  * New upstream release:
     + add a CA variant for Secwepemctsin language. (Closes: #476702)
     + change Romanian keymap to use the correct comma
       characters. (Closes: #481176)
     + "symbols/ru: default variant is winkeys (till Daniel
       fixes xkbcomp)" (Closes: #480124)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Wed, 28 May 2008 13:38:30 +0200

xkeyboard-config (1.2~cvs.20080501.1-1) unstable; urgency=low

  * New upstream CVS snapshot from May 1st 2008:
     + revert Latin American layout. (Closes: #477197)
     + reactivate right control key in fr(oss). (Closes: #460550)
     + fix olpc variants in the Afghan layout. (Closes: #461521)
  * Clean up add_void_definition_pl-324647.diff and apply it before
    resync_rules_base.diff to avoid unclean patch applying and
    unapplying. (Closes: #460838)
  * Document issues with the "Fn" key on some laptops in
    README.Debian. (Closes: #461489)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Thu, 01 May 2008 01:29:51 +0200

xkeyboard-config (1.1~cvs.20080104.1-1) unstable; urgency=low

  * New upstream CVS snapshot from January 4th 2008:
     + fixed Latin American layout. (Closes: #444035)
     + fixed Cherry CyMotion Master Linux layout. (Closes: #343929)
     + fixed HP Compaq nx9020 layout. (Closes: #395883)
     + split Serbia and Montenegro. (Closes: #451622)


=== debian/control ===
Source: xkeyboard-config
Section: x11
Priority: extra
Maintainer: Oliver McFadden <oliver.mcfadden@nokia.com>
Build-Depends: debhelper (>= 5.0.0), quilt
Build-Depends-Indep: libxml-parser-perl, x11-xkb-utils, automake, intltool, libglib2.0-dev
Standards-Version: 3.7.3

Package: xkb-data
Architecture: all
Depends: x11-xkb-utils
Conflicts: xkbdata
Replaces: xkbdata
Provides: xkbdata
Description: X Keyboard Extension (XKB) configuration data
 This package contains configuration data used by the X Keyboard
 Extension (XKB), which allows selection of keyboard layouts when
 using a graphical interface.
 .
 Every X11 vendor provides its own XKB data files, so keyboard layout
 designers have to send their layouts to several places.  The
 xkeyboard-config project has been launched at FreeDesktop in order
 to provide a central repository that could be used by all vendors.

## xkeyboard-config 1.5-2maemo11.1+0m5

=== debian/changelog ===
xkeyboard-config (1.5-2maemo11.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Wed, 07 Oct 2009 16:36:16 +0300

xkeyboard-config (1.5-2maemo11.1) unstable; urgency=low

  * Fake version number for BIFH revert.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Tue, 06 Oct 2009 11:46:58 +0300

## xkeyboard-config 1.5-2maemo12+0m5

=== debian/changelog ===
xkeyboard-config (1.5-2maemo12+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- mika yrjola <ext-mika.2.yrjola@nokia.com>  Wed, 11 Nov 2009 17:44:36 +0200

xkeyboard-config (1.5-2maemo12) unstable; urgency=low

  * Fixes: NB#143181 - Swiss keyboard mapping is missing

 -- Rami Ylimaki <ext-rami.ylimaki@nokia.com>  Thu, 15 Oct 2009 17:34:31 +0300

xkeyboard-config (1.5-2maemo11) unstable; urgency=low

  * Revert "xkeyboard-config: compile default keymap to use in error cases"
  * Revert "Added script to remove cached xkm files when the package is upgraded."

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Sun, 04 Oct 2009 11:21:14 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 
 Package: xkb-data
 Architecture: all
-Depends: x11-xkb-utils
 Conflicts: xkbdata
 Replaces: xkbdata
 Provides: xkbdata

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include debian/xsfbs/xsfbs.mk

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build $(DEB_HOST_GNU_TYPE)
else
	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

xkb_base := /usr/share/X11/xkb

configure: $(STAMP_DIR)/patch
	intltoolize -c -f
	autoreconf -v -f --install

config.status: configure
	dh_testdir
	./configure $(confflags) \
	  --prefix=/usr \
	  --disable-xkbcomp-symlink --with-xkb-rules-symlink=evdev,xorg \
	  --disable-nls \
	  --with-xkb-base=$(xkb_base)
	>$@

build: $(STAMP_DIR)/build
$(STAMP_DIR)/build: config.status
	dh_testdir
	$(MAKE)
	>$@

clean: xsfclean
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf $$(find -name Makefile.in)
	rm -f aclocal.m4 configure install-sh intltool-*.in
	rm -f missing po/Makefile.in.in
	rm -f semantics/semantics.dir
	rm -f rules/evdev rules/evdev.xml.in

	# Files not cleaned up
	-rm -f intltool-extract intltool-merge intltool-update
	-rm -f rules/base.xml
	-rm -f po/.intltool-merge-cache config.status.lineno
	dh_clean
	rm -f compat/compat.dir geometry/geometry.dir keycodes/keycodes.dir
	rm -f symbols/symbols.dir types/types.dir
	rm -f rules/base

deb:
	dpkg-buildpackage -rfakeroot -i'/\.git|/\.svn'

dir:
	set -e; for f in compat geometry keycodes semantics symbols types; do \
	  rm -f $$f/$$f.dir; \
	  cd $$f; \
	  make $$f.dir XKBCOMP=xkbcomp; \
	  LC_ALL=C sort -k3 $$f.dir > $$f.new && mv $$f.new $$f.dir; \
	  cd ..; \
	  cp $$f/$$f.dir debian/; \
	done

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/xkb-data
	#  Remove this symlink, it is no more needed
	rm -f $(CURDIR)/debian/xkb-data/$(xkb_base)/compiled

	# Move base.xml to /etc/X11/xkb/ and make
	# /usr/share/X11/xkb/rules/base.xml links to it
	mv debian/xkb-data/usr/share/X11/xkb/rules/base.xml debian/xkb-data/etc/X11/xkb/
	dh_link etc/X11/xkb/base.xml usr/share/X11/xkb/rules/base.xml

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## xkeyboard-config 1.5-2maemo15+0m5

=== debian/changelog ===
xkeyboard-config (1.5-2maemo15+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.5-2maemo15+0m5

 -- Urho Konttori <urho.konttori@nokia.com>  Wed, 03 Mar 2010 10:52:29 +0200

xkeyboard-config (1.5-2maemo15) unstable; urgency=low

  * Revert "Refactoring of Russian for Maemo."
    Fixes: NB#158440 - Dropping latin level in Russian XKB needs to be reverted

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Fri, 26 Feb 2010 16:32:06 +0200

xkeyboard-config (1.5-2maemo14) unstable; urgency=low

  * Fixes: NB#155966 - Delete key should be mapped to Shift+BackSpace

 -- Rami Ylimaki <ext-rami.ylimaki@nokia.com>  Thu, 11 Feb 2010 14:20:33 +0200

xkeyboard-config (1.5-2maemo13) unstable; urgency=low

  * Reverted: Russian layout should drop the latin alphabet

 -- Rami Ylimaki <ext-rami.ylimaki@nokia.com>  Thu, 28 Jan 2010 14:53:00 +0200

## xkeyboard-config 1.8-1-1m5

=== debian/changelog ===
xkeyboard-config (1.8-1-1m5) fremantle; urgency=low

  * Fixed build dependencies/scripts

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 13 Nov 2010 13:34:13 +0100

xkeyboard-config (1.8-1-0m5) fremantle; urgency=low

  * Maemo 5 changes
  * Package changed to xkb-data-extkbd to avoid conflict with apt/HAM

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 31 Oct 2010 14:24:43 +0100

xkeyboard-config (1.8-1) unstable; urgency=low

  [ Julien Cristau ]
  * Remove myself from Uploaders
  * New upstream release
    + Fix Win key as third level chooser (closes: #531771)

  [ Cyril Brulebois ]
  * Add udeb needed for the graphical installer: xkb-data-udeb.
  * Add myself to Uploaders.
  * Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
  * Add Depends: ${misc:Depends} to xkb-data.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 15 Mar 2010 14:24:43 +0100

xkeyboard-config (1.7-2) unstable; urgency=low

  * Apparently some people have /etc/X11/xkb as a symlink, which makes rmdir
    fail.  Try to handle that case as well (closes: #558761).  Thanks, Arjan
    Opmeer!

 -- Julien Cristau <jcristau@debian.org>  Sat, 16 Jan 2010 20:39:49 +0000

xkeyboard-config (1.7-1) unstable; urgency=low

  [ David Nusinow ]
  * Add a note about re-enabling ctrl-alt-backspace killing to NEWS.Debian
    (closes: #531629)
  * Update xsfbs.
  * Update to debhelper version 7
    + Fix up dh_clean -k to use dh_prep instead
  * Update standards version to 3.8.3.0. No changes necessary.

  [ Julien Cristau ]
  * Don't install base.xml in /etc/X11/xkb.  Modifying this creates more
    problems than it solves (closes: #497341).
  * New upstream release.
    + fix broken reference to symbols/sun_vndr/us(sun[45]) (closes: #469335)
    + add a dead_tilde to the Spanish layout (closes: #546288)
    + fix error in German translation (closes: #532642)
  * Clean up using maintainer-clean instead of distclean.

 -- Julien Cristau <jcristau@debian.org>  Sun, 29 Nov 2009 11:47:09 +0100

xkeyboard-config (1.6-1) unstable; urgency=low

  * Add Breaks on old libx11-6.  It seems some people are keeping very, very
    old libx11-6 versions, which didn't know about some keysyms we're now
    using, thus making their keyboard unusable (closes: #530585, #514975).
  * New upstream release
    + adds Crimean Tatar layouts (closes: #513557)
    + French translation updated (closes: #529479)
    + fixes handling of compat layouts (closes: #514409)
  * Patches sclk_toggle.diff and unhide_lv3_enter_switch.diff are upstream.
  * Add README.source, bump Standards-Version to 3.8.1.

 -- Julien Cristau <jcristau@debian.org>  Sat, 30 May 2009 16:39:19 +0200

=== debian/control ===
Source: xkeyboard-config
Section: x11
Priority: extra
Maintainer: Ivaylo Dimitrov <freemangordon@abv.bg>
Build-Depends: debhelper (>= 5.0.0), quilt
Build-Depends-Indep: libxml-parser-perl, x11-xkb-utils, automake, intltool, libglib2.0-dev
Standards-Version: 3.8.4

Package: xkb-data-extkbd
Replaces: xkb-data
Depends: ${misc:Depends}
Architecture: all
Description: X Keyboard Extension (XKB) configuration data
 This package contains configuration data used by the X Keyboard
 Extension (XKB), which allows selection of keyboard layouts when
 using a graphical interface.
 .
 Every X11 vendor provides its own XKB data files, so keyboard layout
 designers have to send their layouts to several places.  The
 xkeyboard-config project has been launched at FreeDesktop in order
 to provide a central repository that could be used by all vendors.

=== debian/rules ===
--- 
+++ 
@@ -52,14 +52,14 @@
 	-rm -f po/.intltool-merge-cache config.status.lineno
 	dh_clean
 	rm -f compat/compat.dir geometry/geometry.dir keycodes/keycodes.dir
-	rm -f symbols/symbols.dir types/types.dir
-	rm -f rules/base
+	rm -f keymap/keymap.dir symbols/symbols.dir types/types.dir rules/base
+	rm -f rules/compat/base.l[2-4]*.part rules/compat/base.m*.part
 
 deb:
 	dpkg-buildpackage -rfakeroot -i'/\.git|/\.svn'
 
 dir:
-	set -e; for f in compat geometry keycodes semantics symbols types; do \
+	set -e; for f in compat geometry keycodes keymap semantics symbols types; do \
 	  rm -f $$f/$$f.dir; \
 	  cd $$f; \
 	  make $$f.dir XKBCOMP=xkbcomp; \
@@ -74,14 +74,9 @@
 	dh_clean -k
 	dh_installdirs
 
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/xkb-data
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/xkb-data-extkbd
 	#  Remove this symlink, it is no more needed
-	rm -f $(CURDIR)/debian/xkb-data/$(xkb_base)/compiled
-
-	# Move base.xml to /etc/X11/xkb/ and make
-	# /usr/share/X11/xkb/rules/base.xml links to it
-	mv debian/xkb-data/usr/share/X11/xkb/rules/base.xml debian/xkb-data/etc/X11/xkb/
-	dh_link etc/X11/xkb/base.xml usr/share/X11/xkb/rules/base.xml
+	rm -f $(CURDIR)/debian/xkb-data-extkbd/$(xkb_base)/compiled
 
 # Build architecture-dependent files here.
 binary-arch: build install

## xkeyboard-config 1.8-1-2m5

=== debian/changelog ===
xkeyboard-config (1.8-1-2m5) fremantle; urgency=low

  * Backup of original xkb-data on install and restore on uninstall

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 13 Nov 2010 13:34:13 +0100

=== debian/watch ===
version=3
http://xlibs.freedesktop.org/xkbdesc/ xkeyboard-config-(.*)\.tar\.gz

## xkeyboard-config 2.26

=== debian/changelog ===
xkeyboard-config (2.26-2.1.lnd.3) unstable; urgency=medium

  * Standardized place names

 -- sangmeng <sangmeng@loongson.cn>  Mon, 08 Aug 2022 14:09:03 +0800

xkeyboard-config (2.26-2.1.lnd.2) unstable; urgency=medium

  * Modify string content.

 -- Yaling Fang <fangyaling@loongson.cn>  Mon, 30 May 2022 14:29:09 +0800

xkeyboard-config (2.26-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 20:29:09 +0800

xkeyboard-config (2.26-2) unstable; urgency=medium

  * Revert following commits:
    - ed67b29e (Map evdev keycode KEY_BRIGHTNESS_CYCLE to
      XF86MonBrightnessCycle)
    - d0e5e63c (Map evdev keycode KEY_KEYBOARD to XF86Keyboard)
    - e6103610 (Map evdev keycode KEY_FAVORITES to XF86Favorites)
    (Closes: #921867, #921940, #922020).

 -- Andreas Boll <aboll@debian.org>  Mon, 11 Feb 2019 20:25:45 +0100

xkeyboard-config (2.26-1) unstable; urgency=medium

  * New upstream release.
    - Map evdev keycodes KEY_RFKILL and KEY_WWAN to XF86RFKill and
      XF86WWAN (Closes: #917157).
    - allowMultipleSelection is wrong in korean data (Closes: #902234).
  * Drop fix-typo.diff, upstreamed.
  * Cherry-pick af6c0f29 (Fixed broken pt layout) from upstream.
  * Let uscan check upstream tarball signatures.
  * Update Vcs-* URLs to point to salsa.debian.org.
  * Bump debhelper compat to 10.
  * Raise Priority to optional.
  * Set source format to 1.0.
  * Bump standards version to 4.3.0.

 -- Andreas Boll <aboll@debian.org>  Fri, 08 Feb 2019 22:27:41 +0100

xkeyboard-config (2.23.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #884822)
  * revert-indic-blacklist.diff: Dropped, upstream.
  * fix-typo.diff: Fix a typo in pl layout.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Feb 2018 17:30:40 +0200

xkeyboard-config (2.19-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert blacklisting of Indic layouts (Closes: #865316)

 -- Pirate Praveen <praveen@debian.org>  Tue, 18 Jul 2017 13:08:55 +0530

xkeyboard-config (2.19-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Thu, 12 Jan 2017 11:40:48 +0100

xkeyboard-config (2.18-1) unstable; urgency=medium

  * Team upload.

  [ Timo Aaltonen ]
  * New upstream release.

  [ Julien Cristau ]
  * Update upstream URLs in packaging to use https.

 -- Julien Cristau <jcristau@debian.org>  Sat, 24 Sep 2016 15:07:03 +0200

xkeyboard-config (2.17-1) unstable; urgency=medium

  * New upstream release
  * Use https instead of git for Vcs-Git.

 -- Julien Cristau <jcristau@debian.org>  Sun, 21 Feb 2016 15:56:50 +0000

xkeyboard-config (2.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat to 9, Standards-Version to 3.9.6, and update Vcs-*
    control fields.
  * Drop dh_builddeb override, xz is the default since dpkg 1.17.0.

 -- Julien Cristau <jcristau@debian.org>  Wed, 28 Oct 2015 15:39:42 +0000

xkeyboard-config (2.14-1) unstable; urgency=medium

  * New upstream release (closes: #776817).
    - fujitsu_vndr: add a name to xkb_symbols sections (closes: #749006)
    - Add option to swap right alt & right control (closes: #752680)
  * Remove Cyril from Uploaders.
  * Drop fr-oss-rctrl.diff, upstream did a mostly equivalent change.

 -- Julien Cristau <jcristau@debian.org>  Sun, 26 Apr 2015 16:30:30 +0200

xkeyboard-config (2.12-1) unstable; urgency=medium

  * New upstream release
    + revert Russian layout change from 2.11 (closes: #748521)
    + revert it/fr/nl numeric keypad separator change (closes: #748734, #749112)
  * Fix right control key on fr(oss) layout to behave like control again
    (closes: #733757)

 -- Julien Cristau <jcristau@debian.org>  Fri, 06 Jun 2014 17:44:52 +0200

xkeyboard-config (2.11-1) unstable; urgency=medium

  [ Lior Kaplan ]
  * New upstream release
    + altwin(ctrl_alt_win): Map "win" to Ctrl keys (closes: #678553)
    + use the modern language name Bangla instead of Bengali (closes: #731274)
    + implemented the new Israeli Standard SI1452 for the il basic layout
      (closes: #530820)

  [ Sven Joachim ]
  * Mark xkb-data as "Multi-Arch: foreign" (Closes: #677884).

  [ Julien Cristau ]
  * Fix grab:debug reference in the xml file.

 -- Julien Cristau <jcristau@debian.org>  Tue, 13 May 2014 00:09:58 +0200

xkeyboard-config (2.10.1-1) unstable; urgency=low

  [ Dmitry Shachnev ]
  * New upstream release (closes: #718730).
  * Refresh revert-goodmap-badmap-for-apple.diff.
  * Drop preserve-shift.diff, applied upstream.
  * Update debian/watch for new tarballs location (closes: #727812).
  * Disable autopoint, it causes build failure and we use intltoolize
    instead.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Julien Cristau <jcristau@debian.org>  Sun, 22 Dec 2013 16:37:56 +0100

xkeyboard-config (2.5.1-3) unstable; urgency=low

  * Cherry-picks from upstream:
    - A couple of missing chars in gr(polytonic), added on levels 3, 4
      (closes: #696126)
    - Reverting broken fix for is keyboard
    - symbols: ossmath is CTRL+ALT, not FOUR_LEVEL (closes: #657440)
    - symbols/gr: fix comment (closes: #696125)

 -- Julien Cristau <jcristau@debian.org>  Tue, 25 Dec 2012 12:37:00 +0100

xkeyboard-config (2.5.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Preserve Shift modifier so GTK3 apps can properly differentiate between
    F10 and Shift+F10 (Closes: #656685).

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Sep 2012 18:12:52 +0200

xkeyboard-config (2.5.1-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Use xz compression for binary packages (Closes: #683891).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 05 Aug 2012 11:54:19 +0200

xkeyboard-config (2.5.1-1) unstable; urgency=low

  * New upstream release:
    - Update translations, the previous release was rushed a bit for
      the security fix.



=== debian/control ===
Source: xkeyboard-config
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Build-Depends:
 debhelper (>= 10),
 quilt,
Build-Depends-Indep:
 libxml-parser-perl,
 x11-xkb-utils,
 libglib2.0-dev,
 intltool,
 xsltproc,
 xutils-dev (>= 1:7.6+2),
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/xorg-team/data/xkb-data.git
Vcs-Browser: https://salsa.debian.org/xorg-team/data/xkb-data
Homepage: https://www.freedesktop.org/Software/XKeyboardConfig

Package: xkb-data
Depends: ${misc:Depends}
Breaks: libx11-6 (<< 2:1.4.3)
Architecture: all
Multi-Arch: foreign
Description: X Keyboard Extension (XKB) configuration data
 This package contains configuration data used by the X Keyboard
 Extension (XKB), which allows selection of keyboard layouts when
 using a graphical interface.
 .
 Every X11 vendor provides its own XKB data files, so keyboard layout
 designers have to send their layouts to several places.  The
 xkeyboard-config project has been launched at FreeDesktop in order
 to provide a central repository that could be used by all vendors.

Package: xkb-data-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Description: X Keyboard Extension (XKB) configuration data
 This is a udeb, or a microdeb, for the debian-installer.

## xkeyboard-config 2.26.1

=== debian/changelog ===
xkeyboard-config (2.26.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 01 Mar 2022 15:28:05 +0800

xkeyboard-config (2.26.1-dde) unstable; urgency=medium
  * Non-maintainer upload.
  * Modify Chinese keyboard name
 -- Wan Jian <wanjian@uniontech.com>  Thur, 24 Feb 2022 10:58:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xkeyboard-config
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Deepin Packages Builder <packages@deepin.com>
 Build-Depends:
  debhelper (>= 10),
  quilt,

=== debian/rules ===
#!/usr/bin/make -f

xkb_base := /usr/share/X11/xkb

override_dh_autoreconf:
	intltoolize -c -f
	AUTOPOINT=true dh_autoreconf autoreconf -- -vfi

override_dh_auto_configure:
	dh_auto_configure -- \
	  --with-xkb-rules-symlink=xfree86,xorg \
	  --with-xkb-base=$(xkb_base) \
	  --disable-runtime-deps

override_dh_auto_install:
	# Regular deb:
	$(MAKE) -C build install DESTDIR=$(CURDIR)/debian/xkb-data

	# Treat the udeb as an exact copy, but remove messages/pkg-config/man-pages:
	cp -r $(CURDIR)/debian/xkb-data/* $(CURDIR)/debian/xkb-data-udeb
	rm -rf $(CURDIR)/debian/xkb-data-udeb/usr/share/locale
	rm -rf $(CURDIR)/debian/xkb-data-udeb/usr/share/man
	rm -rf $(CURDIR)/debian/xkb-data-udeb/usr/share/pkgconfig

	# Now try and save some space, by getting rid of comments (in
	# non-XML files, let's be cautious), then of multiple spaces:
	find $(CURDIR)/debian/xkb-data-udeb/ ! -name '*.xml' -type f -print0 \
	  | xargs -0 perl -i -pe 's,//.*$$,,'
	find $(CURDIR)/debian/xkb-data-udeb/usr/share/X11 -type f -print0 \
	  | xargs -0 perl -i -pe 's/[ \t]+/ /g'

# Work around quilt's removing empty files:
override_dh_quilt_unpatch:
	dh_quilt_unpatch
	touch rules/base.o_k.part

%:
	dh $@ --with quilt --builddirectory=build/

=== debian/watch ===
#git=git://anongit.freedesktop.org/xkeyboard-config
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://xorg.freedesktop.org/releases/individual/data/xkeyboard-config/xkeyboard-config-(.*)\.tar\.gz

## xkeyboard-config 2.44

=== meson_options.txt ===
--- 
+++ 
@@ -14,3 +14,7 @@
        type: 'boolean',
        value: true,
        description: 'build with native language support (NLS) [default=true]')
+option('non-latin-layouts-list',
+       type: 'boolean',
+       value: false,
+       description: 'create the list of non-Latin layouts [default=false]')

## xkeyboard-config 2.46

=== debian/changelog ===
xkeyboard-config (2.46-2) unstable; urgency=medium

  * Migrate /usr/lib/X11/xkb dir to symlink. (Closes: #1122650)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Dec 2025 15:35:35 +0200

xkeyboard-config (2.46-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Team upload.
  * debian/copyright: Convert to machine-readable format

  [ Timo Aaltonen ]
  * New upstream release.
  * rules: Drop obsolete xkb-base build-option.
  * watch: Updated to version 5.
  * source: Switch to format 3.0 (quilt).

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Dec 2025 16:47:05 +0200

xkeyboard-config (2.44-1) experimental; urgency=medium

  * New upstream release. (Closes: #1091993)
  * copyright: Fix a typo in the URL. (Closes: #1070293)
  * rules: Enable non-latin-layouts-list. (Closes: #1085452)
    - control: Add libxkbcommon-tools and python3-yaml to build-depends.
  * rules: Drop dh_clean override, unnecessary.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 28 Jul 2025 17:41:00 +0300

xkeyboard-config (2.42-1) unstable; urgency=medium

  * New upstream release. (Closes: #1073540)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 19 Jun 2024 09:44:48 +0300

xkeyboard-config (2.41-2) unstable; urgency=medium

  * Update NEWS. (Closes: #1063725, #1063702)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 13 Feb 2024 10:04:05 +0200

xkeyboard-config (2.41-1) unstable; urgency=medium

  * New upstream release.
  * docs.diff: Dropped, upstream.
  * control: Add gawk to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Feb 2024 18:05:59 +0200

xkeyboard-config (2.38-2) unstable; urgency=medium

  * Non-maintainer upload
  * Upload to unstable

  [ Diederik de Haas ]
  * patches: Rebase docs.diff onto 829b483a (MR 6, closes: 1027875)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 19 Jun 2023 14:32:57 +0200

xkeyboard-config (2.38-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends-Indep: Drop versioned constraint on xutils-dev.
    + xkb-data: Drop versioned constraint on libx11-6 in Breaks.

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 27 Feb 2023 10:43:23 +0200

xkeyboard-config (2.35.1-1) unstable; urgency=medium

  * New upstream release.
  * watch: Use macros for the upstream file/version/extension.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 Apr 2022 14:22:25 +0300

xkeyboard-config (2.33-1) unstable; urgency=medium

  * New upstream release. (Closes: #980978)
  * revert-goodmap-badmap-for-apple.diff: Finally dropped, we've had
    kernel > 2.6.19 for a while now.
  * control, rules: Build with meson.
  * rules: Drop an unnecessary workaround for quilt.
  * control: Update Vcs links for the new repo name (xkeyboard-config).
  * Set upstream metadata fields for Name and Repository. Drop old repo
    from watch.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Aug 2021 12:26:23 +0300

xkeyboard-config (2.29-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Add Breaks on x11-xkb-utils (<< 7.7+5).
    This ensures that xkbcomp won't fail for keycodes above 255, which this
    package now uses (Closes: #952731)

  [ Timo Aaltonen ]
  * rules: Override dh_clean.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 29 Feb 2020 13:32:57 +0200

xkeyboard-config (2.29-1) unstable; urgency=medium

  * New upstream release.
  * control: Use debhelper-compat, bump to 12.
  * patches: Drop reverts which have a fix upstream now, refresh revert-
    goodmap-badmap-for-apple.diff.
  * rules, control: Replace intltool with gettext.
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Feb 2020 18:38:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: xkeyboard-config
 Section: x11
 Priority: optional
-Maintainer: Deepin Packages Builder <packages@deepin.com>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
+ meson,
  quilt,
 Build-Depends-Indep:
+ gawk,
+ gettext-base,
+ libxkbcommon-tools,
  libxml-parser-perl,
+ libglib2.0-dev,
+ python3-yaml,
  x11-xkb-utils,
- libglib2.0-dev,
- intltool,
  xsltproc,
- xutils-dev (>= 1:7.6+2),
-Standards-Version: 4.3.0
-Vcs-Git: https://salsa.debian.org/xorg-team/data/xkb-data.git
-Vcs-Browser: https://salsa.debian.org/xorg-team/data/xkb-data
+ xutils-dev,
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/xorg-team/data/xkeyboard-config.git
+Vcs-Browser: https://salsa.debian.org/xorg-team/data/xkeyboard-config
 Homepage: https://www.freedesktop.org/Software/XKeyboardConfig
 
 Package: xkb-data
 Depends: ${misc:Depends}
-Breaks: libx11-6 (<< 2:1.4.3)
+Breaks: x11-xkb-utils (<< 7.7+5),
 Architecture: all
 Multi-Arch: foreign
 Description: X Keyboard Extension (XKB) configuration data

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- \
	  -Dnon-latin-layouts-list=true \
	  -Dxorg-rules-symlinks=true

override_dh_auto_install:
	# Regular deb:
	(cd build; DESTDIR=$(CURDIR)/debian/xkb-data meson install)

	# Treat the udeb as an exact copy, but remove messages/pkg-config/man-pages:
	mkdir $(CURDIR)/debian/xkb-data-udeb
	cp -r $(CURDIR)/debian/xkb-data/* $(CURDIR)/debian/xkb-data-udeb
	rm -rf $(CURDIR)/debian/xkb-data-udeb/usr/share/locale
	rm -rf $(CURDIR)/debian/xkb-data-udeb/usr/share/man
	rm -rf $(CURDIR)/debian/xkb-data-udeb/usr/share/pkgconfig

	# Now try and save some space, by getting rid of comments (in
	# non-XML files, let's be cautious), then of multiple spaces:
	find $(CURDIR)/debian/xkb-data-udeb/ ! -name '*.xml' -type f -print0 \
	  | xargs -0 perl -i -pe 's,//.*$$,,'
	find $(CURDIR)/debian/xkb-data-udeb/usr/share/X11 -type f -print0 \
	  | xargs -0 perl -i -pe 's/[ \t]+/ /g'

%:
	dh $@ --buildsystem=meson --builddirectory=build/
